Page MenuHomeFreeBSD

Inline ccbque.h into scsi_low.h and delete from i386/isa.
AcceptedPublic

Authored by imp on Dec 29 2017, 12:48 AM.

Details

Reviewers
kib
jhb
scottl
Summary

inline ccbque.h into scsi_low.h. The file isn't MD, so shouldn't live
in i386/isa. It's only used by scsi_low, so move it there so no new
clients accidentally grow. scsi_low may not even still work, and the
locking here is still SPL based. CAM should do the right thing, but
I've received no reports of these cards still working. At least it
compiles still and there's one fewer files in sys/i386/isa.

Diff Detail

Lint
Lint OK
Unit
No Unit Test Coverage
Build Status
Buildable 13911
Build 14113: arc lint + arc unit

Event Timeline

imp created this revision.Dec 29 2017, 12:48 AM
kib added a comment.Dec 29 2017, 8:15 AM

Since the code is copied and history is dropped, it is reasonable to do a minimal cleanup of the code.

sys/cam/scsi/scsi_low.h
125

Use ANSI C ?

136

Perhaps remove spl()s.

142

You can use the opportunity and put '{' on the previous line for style.

146

And there and in several other places.

149

M_NOWAIT | M_ZERO. Then bzero() call below can be removed, and goto out can be replaced with return (cb).

imp added inline comments.Jan 9 2018, 4:04 PM
sys/cam/scsi/scsi_low.h
175

This turns out to be a clear-only flag.

Not fixing *THAT*, but further evidence this code can't possibly work.

scottl accepted this revision.Jan 19 2018, 3:35 PM

Looks good to me. I'm OK with removing scsi_low and all related code for FreeBSD 12.

This revision is now accepted and ready to land.Jan 19 2018, 3:35 PM